Subject: Re: Air Gap & News

From: William Hay <[email-masked]>
Date: Sun, 27 Dec 2020 10:12:12 +0000

Thus spake Sergey Matveev:
> Do not agree. I have used UUCP for years with SSH transport, but that is
> literally UUCP-over-SSH. All that SSH commands are just wrappers, but
> UUCP still uses his own authentication. I can transparently add IPsec,
> TLS, but all of that are additions, wrappers, tunnels.

That's your configuration not UUCP.  The default behavior for Taylor
uucico (literally what happens if you invoke it without any arguments)
is to start in server mode without any AUTHN (no login prompt,no password
prompt).  The client gets to claim any system name it likes and you are
reliant on uucp's AUTHZ (called-login) to check that the user invoking
uucico is allowed to connect as that system.  This mail is going over
a link secured in this way with no passwords in sight.

>
> I used UUCP for years over SSH. And was happy with it. But number of
> hacks, supporting scripts, additional tunnels (like ssh), need for gpg
> (for examples when moving spool directory on the removable storage
> around) were growing. I get tired of all of it and decided to write
> NNCP, where everything I want was out-of-box conveniently existing and
> working.

Both NNCP and UUCP seem to fit nicely in the software-tools category and
to be useful primarily when used with other software (MTA for e-mail
etc).  Exactly where to draw the line between built in and external
tools is a matter of personal taste and what tradeoffs you want to make.
Personally I think a lot of the issues with external tools can be solved
adequately with a cookbook approach or adding a tool to generate cookie
cutter configurations.